feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Error

# Documentation

data Error a where

Constructors

Undefined :: Type a => Error (Full a) |
Assert :: Type a => String -> Error (Bool :-> (a :-> Full a)) |

Instances

EvalBind Error |
Semantic Error |
Eval Error |
Render Error |
ToTree Error |
Equality Error |
Sharable Error |
AlphaEq dom dom dom env => AlphaEq Error Error dom env |
SizeProp (:|| Error Type) |
(:<: (:|| Error Type) dom, Optimize dom dom) => Optimize (:|| Error Type) dom |